# Generated by Django 3.2 on 2022-02-24 11:21

import uuid

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        (
            "vlc",
            "0011_auto_20220224_1229",
        ),
    ]

    state_operations = [
        migrations.CreateModel(
            name="Verwerkingsactie",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("actieId", models.UUIDField(default=uuid.uuid4, editable=False)),
                ("versie", models.IntegerField(default=1, editable=False)),
                ("actieNaam", models.CharField(blank=True, max_length=242, null=True)),
                (
                    "handelingNaam",
                    models.CharField(blank=True, max_length=242, null=True),
                ),
                (
                    "verwerkingNaam",
                    models.CharField(blank=True, max_length=242, null=True),
                ),
                ("verwerkingId", models.UUIDField(blank=True, null=True)),
                ("verwerkingsactiviteitId", models.UUIDField(blank=True, null=True)),
                (
                    "verwerkingsactiviteitUrl",
                    models.URLField(blank=True, max_length=2042, null=True),
                ),
                (
                    "vertrouwelijkheid",
                    models.CharField(
                        choices=[
                            ("normaal", "Normaal"),
                            ("vertrouwelijk", "Vertrouwelijk"),
                            ("opgeheven", "Opgeheven"),
                        ],
                        default="normaal",
                        max_length=13,
                    ),
                ),
                (
                    "bewaartermijn",
                    models.CharField(blank=True, max_length=100, null=True),
                ),
                (
                    "uitvoerder",
                    models.CharField(
                        blank=True,
                        max_length=20,
                        null=True,
                        validators=[
                            django.core.validators.RegexValidator(
                                message="het veld uitvoerder moet een geldig OIN bevatten.",
                                regex="[0-9]{20}",
                            )
                        ],
                    ),
                ),
                ("systeem", models.CharField(blank=True, max_length=242, null=True)),
                ("gebruiker", models.CharField(blank=True, max_length=40, null=True)),
                (
                    "gegevensbron",
                    models.CharField(blank=True, max_length=242, null=True),
                ),
                (
                    "soortAfnemerId",
                    models.CharField(blank=True, max_length=242, null=True),
                ),
                ("afnemerId", models.CharField(blank=True, max_length=40, null=True)),
                (
                    "verwerkingsactiviteitIdAfnemer",
                    models.UUIDField(blank=True, null=True),
                ),
                (
                    "verwerkingsactiviteitUrlAfnemer",
                    models.URLField(blank=True, max_length=2042, null=True),
                ),
                ("verwerkingIdAfnemer", models.UUIDField(blank=True, null=True)),
                ("tijdstip", models.DateTimeField()),
                ("tijdstipRegistratie", models.DateTimeField(auto_now_add=True)),
                ("tijdstipVerwijderd", models.DateTimeField(editable=False, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="VerwerktSoortGegeven",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("soortGegeven", models.CharField(max_length=242, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name="VerwerktObject",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "objecttype",
                    models.CharField(choices=[("persoon", "Persoon")], max_length=7),
                ),
                ("soortObjectId", models.CharField(help_text="foo", max_length=242)),
                ("objectId", models.CharField(blank=True, max_length=40, null=True)),
                (
                    "betrokkenheid",
                    models.CharField(blank=True, max_length=242, null=True),
                ),
                (
                    "verwerktObjectId",
                    models.UUIDField(
                        default=uuid.uuid4,
                        help_text="Identificator van het verwerkte object. Deze ID wordt automatisch aangemaakt door het log.",
                        unique=True,
                    ),
                ),
                (
                    "verwerkingsactie",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="verwerkteObjecten",
                        to="datamodel.verwerkingsactie",
                    ),
                ),
                (
                    "verwerkteSoortenGegevens",
                    models.ManyToManyField(to="datamodel.VerwerktSoortGegeven"),
                ),
            ],
        ),
        migrations.AddConstraint(
            model_name="verwerkingsactie",
            constraint=models.UniqueConstraint(
                fields=("actieId", "versie"), name="unique_actieId_versie"
            ),
        ),
    ]

    operations = [
        migrations.SeparateDatabaseAndState(state_operations=state_operations)
    ]
